package com.ruoyi.common.enums;

import java.util.HashMap;
import java.util.Map;

public enum UserRolesType {

    ADMIN(1l,"admin"),
    COMMON(2l,"common"),
    MANAGE(3l,"manage"),
    CEO(4l,"ceo");

    private final String desc;
    private final Long code;

    UserRolesType(Long code, String desc) {
        this.desc = desc;
        this.code = code;
    }
    public String getDesc() {return desc;}

    public Long getCode() {return code;}
}
